#include <bits/stdc++.h>
using namespace std;
bool kiemtra(int n)
{
    int i;
    if(n<=1){return false;}
    for(i=2;i<=sqrt(n);i++)
    {
        if(n%i==0){return false;}
    }
    return true;
}
int demnt(int a[],int n)
{
    int dem=0,i;
    for(i=0;i<=n;i++)
    {
        if(kiemtra(a[i])==true){dem++;}
    }
    return dem;
}
int main()
{
    ifstream f1("DEMNT.INP");
    ofstream f2("DEMNT.OUT");
    int A[10000],n,i;
    f1>>n;
    for(i=0;i<n;i++)
    {
        f1>>A[i];
    }
    f2<<demnt(A,n)<<endl;
    system("pause");
    f1.close();
    f2.close();
    return 0;
}
